﻿<UserControl x:Class="DBManager.MVVM.Views.AchievementsView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:viewmodels="clr-namespace:DBManager.MVVM.ViewModels"
             d:DataContext="{d:DesignInstance Type=viewmodels:PlayerAchievementsViewModel}"
             mc:Ignorable="d"
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid Background="White">
        <Grid.RowDefinitions>
            <RowDefinition Height="6*"/>
            <RowDefinition Height="94*"/>
        </Grid.RowDefinitions>

        <TextBlock
            Text="Player Achievements"
            VerticalAlignment="Center"
            HorizontalAlignment="Center"
            FontSize="20"/>

        <DataGrid
            Grid.Row="1"
            Margin="20, 0, 20, 0"
            AutoGenerateColumns="False"
            ItemsSource="{Binding Achievements}">

            <DataGrid.Columns>
                <DataGridTextColumn
                    Header="Id"
                    Binding="{Binding Id}"
                    Width="6*"/>
                <DataGridTextColumn
                    Header="Name"
                    Binding="{Binding Name}"
                    Width="35*"/>
                <DataGridTextColumn
                    Header="Surname"
                    Binding="{Binding Surname}"
                    Width="35*"/>
                <DataGridTextColumn
                    Header="Goals"
                    Binding="{Binding Goals}"
                    Width="12*"/>
                <DataGridTextColumn
                    Header="Awards"
                    Binding="{Binding Awards}"
                    Width="12*"/>
            </DataGrid.Columns>
        </DataGrid>

    </Grid>
</UserControl>
